net.corda.core.schemas.requery.converters

## Class SecureHashConverter

- net.corda.core.schemas.requery.converters.SecureHashConverter

-     public class SecureHashConverter

  Convert from a `class SecureHash` to a String

  See Also:
    `class SecureHash`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecureHashConverter()` Convert from a `class SecureHash` to a String

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SecureHash` | `convertToMapped(java.lang.Class<? extends net.corda.core.crypto.SecureHash> type, java.lang.String value)`
    `java.lang.String` | `convertToPersisted(SecureHash value)`
    `java.lang.Class<net.corda.core.crypto.SecureHash>` | `getMappedType()`
    `java.lang.Integer` | `getPersistedSize()` SecureHash consists of 32 bytes which need VARCHAR(64) in hex TODO: think about other hash widths
    `java.lang.Class<java.lang.String>` | `getPersistedType()`

- - ### Constructor Detail

    - #### SecureHashConverter

          public SecureHashConverter()

      Convert from a `class SecureHash` to a String

      See Also:
        `class SecureHash`

  - ### Method Detail

    - #### getMappedType

          public java.lang.Class<net.corda.core.crypto.SecureHash> getMappedType()

    - #### getPersistedType

          public java.lang.Class<java.lang.String> getPersistedType()

    - #### getPersistedSize

          public java.lang.Integer getPersistedSize()

      SecureHash consists of 32 bytes which need VARCHAR(64) in hex TODO: think about other hash widths

    - #### convertToPersisted

          public java.lang.String convertToPersisted(SecureHash value)

    - #### convertToMapped

          public SecureHash convertToMapped(java.lang.Class<? extends net.corda.core.crypto.SecureHash> type,
                                            java.lang.String value)